# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `rails
# db:schema:load`. When creating a new database, `rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2020_10_20_144451) do

  # These are extensions that must be enabled in order to support this database
  enable_extension "plpgsql"

  create_table "dashboard_component_placements", force: :cascade do |t|
    t.integer "x"
    t.integer "y"
    t.integer "height"
    t.integer "width"
    t.bigint "dashboard_component_id"
    t.bigint "dashboard_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["dashboard_component_id"], name: "index_dashboard_component_placements_on_dashboard_component_id"
    t.index ["dashboard_id"], name: "index_dashboard_component_placements_on_dashboard_id"
  end

  create_table "dashboard_components", force: :cascade do |t|
    t.string "name"
    t.string "desc"
    t.string "parameters"
    t.integer "refresh_interval"
    t.string "data"
    t.string "display_type"
    t.bigint "dashboard_target_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "display_options"
    t.string "last_run_error"
    t.string "run_user_id"
    t.string "run_token"
    t.index ["dashboard_target_id"], name: "index_dashboard_components_on_dashboard_target_id"
  end

  create_table "dashboard_group_dashboards", force: :cascade do |t|
    t.bigint "dashboard_group_id"
    t.bigint "dashboard_id"
    t.integer "rank"
    t.integer "interval"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["dashboard_group_id"], name: "index_dashboard_group_dashboards_on_dashboard_group_id"
    t.index ["dashboard_id"], name: "index_dashboard_group_dashboards_on_dashboard_id"
  end

  create_table "dashboard_groups", force: :cascade do |t|
    t.string "name"
    t.string "desc"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "dashboard_targets", force: :cascade do |t|
    t.string "module_id"
    t.string "module_name"
    t.string "dashboard_id"
    t.string "name"
    t.string "desc"
    t.string "ui_hints"
    t.string "parameters"
    t.string "returns"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "dashboards", force: :cascade do |t|
    t.string "name"
    t.string "desc"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "rx_module_logger_configs", force: :cascade do |t|
    t.string "location"
    t.string "level"
    t.integer "archive_count"
    t.integer "max_size"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "rx_module_update_histories", force: :cascade do |t|
    t.string "user"
    t.string "from_version"
    t.string "to_version"
    t.boolean "was_error"
    t.string "error_msg"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "in_progress"
    t.index ["created_at"], name: "index_rx_module_update_histories_on_created_at"
  end

  add_foreign_key "dashboard_component_placements", "dashboard_components", on_update: :cascade, on_delete: :cascade
  add_foreign_key "dashboard_component_placements", "dashboards", on_update: :cascade, on_delete: :cascade
  add_foreign_key "dashboard_components", "dashboard_targets", on_update: :cascade, on_delete: :cascade
  add_foreign_key "dashboard_group_dashboards", "dashboard_groups", on_update: :cascade, on_delete: :cascade
  add_foreign_key "dashboard_group_dashboards", "dashboards", on_update: :cascade, on_delete: :cascade
end
